Index: pjproject/trunk/build.symbian/pjsipU.def
===================================================================
--- pjproject/trunk/build.symbian/pjsipU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/pjsipU.def	(revision 1417)
@@ -0,0 +1,269 @@
+EXPORTS
+	pjsip_accept_hdr_create                  @ 1 NONAME
+	pjsip_accept_hdr_init                    @ 2 NONAME
+	pjsip_ack_method                         @ 3 NONAME
+	pjsip_allow_hdr_create                   @ 4 NONAME
+	pjsip_allow_hdr_init                     @ 5 NONAME
+	pjsip_auth_clt_clone                     @ 6 NONAME
+	pjsip_auth_clt_init                      @ 7 NONAME
+	pjsip_auth_clt_init_req                  @ 8 NONAME
+	pjsip_auth_clt_reinit_req                @ 9 NONAME
+	pjsip_auth_clt_set_credentials           @ 10 NONAME
+	pjsip_auth_deinit_parser                 @ 11 NONAME
+	pjsip_auth_init_parser                   @ 12 NONAME
+	pjsip_auth_srv_challenge                 @ 13 NONAME
+	pjsip_auth_srv_init                      @ 14 NONAME
+	pjsip_auth_srv_verify                    @ 15 NONAME
+	pjsip_authorization_hdr_create           @ 16 NONAME
+	pjsip_bye_method                         @ 17 NONAME
+	pjsip_calculate_branch_id                @ 18 NONAME
+	pjsip_cancel_method                      @ 19 NONAME
+	pjsip_cid_hdr_create                     @ 20 NONAME
+	pjsip_cid_hdr_init                       @ 21 NONAME
+	pjsip_clen_hdr_create                    @ 22 NONAME
+	pjsip_clen_hdr_init                      @ 23 NONAME
+	pjsip_clone_text_data                    @ 24 NONAME
+	pjsip_concat_param_imp                   @ 25 NONAME
+	pjsip_contact_hdr_create                 @ 26 NONAME
+	pjsip_contact_hdr_init                   @ 27 NONAME
+	pjsip_cseq_hdr_create                    @ 28 NONAME
+	pjsip_cseq_hdr_init                      @ 29 NONAME
+	pjsip_ctype_hdr_create                   @ 30 NONAME
+	pjsip_ctype_hdr_init                     @ 31 NONAME
+	pjsip_dlg_add_usage                      @ 32 NONAME
+	pjsip_dlg_create_request                 @ 33 NONAME
+	pjsip_dlg_create_response                @ 34 NONAME
+	pjsip_dlg_create_uac                     @ 35 NONAME
+	pjsip_dlg_create_uas                     @ 36 NONAME
+	pjsip_dlg_dec_lock                       @ 37 NONAME
+	pjsip_dlg_dec_session                    @ 38 NONAME
+	pjsip_dlg_fork                           @ 39 NONAME
+	pjsip_dlg_get_mod_data                   @ 40 NONAME
+	pjsip_dlg_inc_lock                       @ 41 NONAME
+	pjsip_dlg_inc_session                    @ 42 NONAME
+	pjsip_dlg_modify_response                @ 43 NONAME
+	pjsip_dlg_respond                        @ 44 NONAME
+	pjsip_dlg_send_request                   @ 45 NONAME
+	pjsip_dlg_send_response                  @ 46 NONAME
+	pjsip_dlg_set_mod_data                   @ 47 NONAME
+	pjsip_dlg_set_route_set                  @ 48 NONAME
+	pjsip_dlg_set_transport                  @ 49 NONAME
+	pjsip_dlg_terminate                      @ 50 NONAME
+	pjsip_dlg_try_inc_lock                   @ 51 NONAME
+	pjsip_endpt_acquire_transport            @ 52 NONAME
+	pjsip_endpt_add_capability               @ 53 NONAME
+	pjsip_endpt_cancel_timer                 @ 54 NONAME
+	pjsip_endpt_create                       @ 55 NONAME
+	pjsip_endpt_create_ack                   @ 56 NONAME
+	pjsip_endpt_create_cancel                @ 57 NONAME
+	pjsip_endpt_create_pool                  @ 58 NONAME
+	pjsip_endpt_create_request               @ 59 NONAME
+	pjsip_endpt_create_request_from_hdr      @ 60 NONAME
+	pjsip_endpt_create_request_fwd           @ 61 NONAME
+	pjsip_endpt_create_resolver              @ 62 NONAME
+	pjsip_endpt_create_response              @ 63 NONAME
+	pjsip_endpt_create_response_fwd          @ 64 NONAME
+	pjsip_endpt_create_tdata                 @ 65 NONAME
+	pjsip_endpt_destroy                      @ 66 NONAME
+	pjsip_endpt_dump                         @ 67 NONAME
+	pjsip_endpt_get_capability               @ 68 NONAME
+	pjsip_endpt_get_ioqueue                  @ 69 NONAME
+	pjsip_endpt_get_request_headers          @ 70 NONAME
+	pjsip_endpt_get_resolver                 @ 71 NONAME
+	pjsip_endpt_get_timer_heap               @ 72 NONAME
+	pjsip_endpt_get_tpmgr                    @ 73 NONAME
+	pjsip_endpt_handle_events                @ 74 NONAME
+	pjsip_endpt_handle_events2               @ 75 NONAME
+	pjsip_endpt_has_capability               @ 76 NONAME
+	pjsip_endpt_log_error                    @ 77 NONAME
+	pjsip_endpt_name                         @ 78 NONAME
+	pjsip_endpt_register_module              @ 79 NONAME
+	pjsip_endpt_release_pool                 @ 80 NONAME
+	pjsip_endpt_resolve                      @ 81 NONAME
+	pjsip_endpt_respond                      @ 82 NONAME
+	pjsip_endpt_respond_stateless            @ 83 NONAME
+	pjsip_endpt_schedule_timer               @ 84 NONAME
+	pjsip_endpt_send_raw                     @ 85 NONAME
+	pjsip_endpt_send_raw_to_uri              @ 86 NONAME
+	pjsip_endpt_send_request                 @ 87 NONAME
+	pjsip_endpt_send_request_stateless       @ 88 NONAME
+	pjsip_endpt_send_response                @ 89 NONAME
+	pjsip_endpt_send_response2               @ 90 NONAME
+	pjsip_endpt_set_resolver                 @ 91 NONAME
+	pjsip_endpt_unregister_module            @ 92 NONAME
+	pjsip_event_str                          @ 93 NONAME
+	pjsip_expires_hdr_create                 @ 94 NONAME
+	pjsip_expires_hdr_init                   @ 95 NONAME
+	pjsip_find_msg                           @ 96 NONAME
+	pjsip_from_hdr_create                    @ 97 NONAME
+	pjsip_from_hdr_init                      @ 98 NONAME
+	pjsip_fromto_hdr_set_from                @ 99 NONAME
+	pjsip_fromto_hdr_set_to                  @ 100 NONAME
+	pjsip_generic_array_hdr_create           @ 101 NONAME
+	pjsip_generic_array_hdr_init             @ 102 NONAME
+	pjsip_generic_int_hdr_create             @ 103 NONAME
+	pjsip_generic_int_hdr_init               @ 104 NONAME
+	pjsip_generic_string_hdr_create          @ 105 NONAME
+	pjsip_generic_string_hdr_init            @ 106 NONAME
+	pjsip_generic_string_hdr_init2           @ 107 NONAME
+	pjsip_get_ack_method                     @ 108 NONAME
+	pjsip_get_bye_method                     @ 109 NONAME
+	pjsip_get_cancel_method                  @ 110 NONAME
+	pjsip_get_invite_method                  @ 111 NONAME
+	pjsip_get_options_method                 @ 112 NONAME
+	pjsip_get_register_method                @ 113 NONAME
+	pjsip_get_request_dest                   @ 114 NONAME
+	pjsip_get_response_addr                  @ 115 NONAME
+	pjsip_get_status_text                    @ 116 NONAME
+	pjsip_hdr_clone                          @ 117 NONAME
+	pjsip_hdr_print_on                       @ 118 NONAME
+	pjsip_hdr_shallow_clone                  @ 119 NONAME
+	pjsip_invite_method                      @ 120 NONAME
+	pjsip_loop_set_delay                     @ 121 NONAME
+	pjsip_loop_set_discard                   @ 122 NONAME
+	pjsip_loop_set_failure                   @ 123 NONAME
+	pjsip_loop_set_recv_delay                @ 124 NONAME
+	pjsip_loop_set_send_callback_delay       @ 125 NONAME
+	pjsip_loop_start                         @ 126 NONAME
+	pjsip_max_fwd_hdr_create                 @ 127 NONAME
+	pjsip_max_fwd_hdr_init                   @ 128 NONAME
+	pjsip_method_cmp                         @ 129 NONAME
+	pjsip_method_copy                        @ 130 NONAME
+	pjsip_method_creates_dialog              @ 131 NONAME
+	pjsip_method_init                        @ 132 NONAME
+	pjsip_method_init_np                     @ 133 NONAME
+	pjsip_method_set                         @ 134 NONAME
+	pjsip_min_expires_hdr_create             @ 135 NONAME
+	pjsip_min_expires_hdr_init               @ 136 NONAME
+	pjsip_msg_body_clone                     @ 137 NONAME
+	pjsip_msg_body_copy                      @ 138 NONAME
+	pjsip_msg_body_create                    @ 139 NONAME
+	pjsip_msg_clone                          @ 140 NONAME
+	pjsip_msg_create                         @ 141 NONAME
+	pjsip_msg_find_hdr                       @ 142 NONAME
+	pjsip_msg_find_hdr_by_name               @ 143 NONAME
+	pjsip_msg_find_remove_hdr                @ 144 NONAME
+	pjsip_msg_print                          @ 145 NONAME
+	pjsip_name_addr_assign                   @ 146 NONAME
+	pjsip_name_addr_create                   @ 147 NONAME
+	pjsip_name_addr_init                     @ 148 NONAME
+	pjsip_options_method                     @ 149 NONAME
+	pjsip_param_cfind                        @ 150 NONAME
+	pjsip_param_clone                        @ 151 NONAME
+	pjsip_param_find                         @ 152 NONAME
+	pjsip_param_print_on                     @ 153 NONAME
+	pjsip_param_shallow_clone                @ 154 NONAME
+	pjsip_parse_end_hdr_imp                  @ 155 NONAME
+	pjsip_parse_hdr                          @ 156 NONAME
+	pjsip_parse_msg                          @ 157 NONAME
+	pjsip_parse_param_imp                    @ 158 NONAME
+	pjsip_parse_rdata                        @ 159 NONAME
+	pjsip_parse_status_line                  @ 160 NONAME
+	pjsip_parse_uri                          @ 161 NONAME
+	pjsip_parse_uri_param_imp                @ 162 NONAME
+	pjsip_parser_const                       @ 163 NONAME
+	pjsip_print_text_body                    @ 164 NONAME
+	pjsip_process_route_set                  @ 165 NONAME
+	pjsip_proxy_authenticate_hdr_create      @ 166 NONAME
+	pjsip_proxy_authorization_hdr_create     @ 167 NONAME
+	pjsip_rdata_get_dlg                      @ 168 NONAME
+	pjsip_rdata_get_tsx                      @ 169 NONAME
+	pjsip_register_hdr_parser                @ 170 NONAME
+	pjsip_register_method                    @ 171 NONAME
+	pjsip_register_uri_parser                @ 172 NONAME
+	pjsip_require_hdr_create                 @ 173 NONAME
+	pjsip_require_hdr_init                   @ 174 NONAME
+	pjsip_resolve                            @ 175 NONAME
+	pjsip_resolver_create                    @ 176 NONAME
+	pjsip_resolver_destroy                   @ 177 NONAME
+	pjsip_resolver_get_resolver              @ 178 NONAME
+	pjsip_resolver_set_resolver              @ 179 NONAME
+	pjsip_retry_after_hdr_create             @ 180 NONAME
+	pjsip_retry_after_hdr_init               @ 181 NONAME
+	pjsip_role_name                          @ 182 NONAME
+	pjsip_route_hdr_create                   @ 183 NONAME
+	pjsip_route_hdr_init                     @ 184 NONAME
+	pjsip_routing_hdr_set_route              @ 185 NONAME
+	pjsip_routing_hdr_set_rr                 @ 186 NONAME
+	pjsip_rr_hdr_create                      @ 187 NONAME
+	pjsip_rr_hdr_init                        @ 188 NONAME
+	pjsip_rx_data_get_info                   @ 189 NONAME
+	pjsip_sip_uri_assign                     @ 190 NONAME
+	pjsip_sip_uri_create                     @ 191 NONAME
+	pjsip_sip_uri_init                       @ 192 NONAME
+	pjsip_sip_uri_set_secure                 @ 193 NONAME
+	pjsip_strerror                           @ 194 NONAME
+	pjsip_supported_hdr_create               @ 195 NONAME
+	pjsip_supported_hdr_init                 @ 196 NONAME
+	pjsip_tcp_transport_start                @ 197 NONAME
+	pjsip_tcp_transport_start2               @ 198 NONAME
+	pjsip_tel_nb_cmp                         @ 199 NONAME
+	pjsip_tel_uri_create                     @ 200 NONAME
+	pjsip_to_hdr_create                      @ 201 NONAME
+	pjsip_to_hdr_init                        @ 202 NONAME
+	pjsip_tpmgr_acquire_transport            @ 203 NONAME
+	pjsip_tpmgr_create                       @ 204 NONAME
+	pjsip_tpmgr_destroy                      @ 205 NONAME
+	pjsip_tpmgr_dump_transports              @ 206 NONAME
+	pjsip_tpmgr_find_local_addr              @ 207 NONAME
+	pjsip_tpmgr_get_transport_count          @ 208 NONAME
+	pjsip_tpmgr_receive_packet               @ 209 NONAME
+	pjsip_tpmgr_register_tpfactory           @ 210 NONAME
+	pjsip_tpmgr_send_raw                     @ 211 NONAME
+	pjsip_tpmgr_unregister_tpfactory         @ 212 NONAME
+	pjsip_tpselector_add_ref                 @ 213 NONAME
+	pjsip_tpselector_dec_ref                 @ 214 NONAME
+	pjsip_transport_add_ref                  @ 215 NONAME
+	pjsip_transport_dec_ref                  @ 216 NONAME
+	pjsip_transport_destroy                  @ 217 NONAME
+	pjsip_transport_get_default_port_for_type @ 218 NONAME
+	pjsip_transport_get_flag_from_type       @ 219 NONAME
+	pjsip_transport_get_type_from_flag       @ 220 NONAME
+	pjsip_transport_get_type_from_name       @ 221 NONAME
+	pjsip_transport_get_type_name            @ 222 NONAME
+	pjsip_transport_register                 @ 223 NONAME
+	pjsip_transport_register_type            @ 224 NONAME
+	pjsip_transport_send                     @ 225 NONAME
+	pjsip_transport_shutdown                 @ 226 NONAME
+	pjsip_tsx_create_key                     @ 227 NONAME
+	pjsip_tsx_create_uac                     @ 228 NONAME
+	pjsip_tsx_create_uas                     @ 229 NONAME
+	pjsip_tsx_get_dlg                        @ 230 NONAME
+	pjsip_tsx_layer_destroy                  @ 231 NONAME
+	pjsip_tsx_layer_dump                     @ 232 NONAME
+	pjsip_tsx_layer_find_tsx                 @ 233 NONAME
+	pjsip_tsx_layer_init_module              @ 234 NONAME
+	pjsip_tsx_layer_instance                 @ 235 NONAME
+	pjsip_tsx_recv_msg                       @ 236 NONAME
+	pjsip_tsx_send_msg                       @ 237 NONAME
+	pjsip_tsx_set_transport                  @ 238 NONAME
+	pjsip_tsx_state_str                      @ 239 NONAME
+	pjsip_tsx_stop_retransmit                @ 240 NONAME
+	pjsip_tsx_terminate                      @ 241 NONAME
+	pjsip_tx_data_add_ref                    @ 242 NONAME
+	pjsip_tx_data_create                     @ 243 NONAME
+	pjsip_tx_data_dec_ref                    @ 244 NONAME
+	pjsip_tx_data_get_info                   @ 245 NONAME
+	pjsip_tx_data_invalidate_msg             @ 246 NONAME
+	pjsip_tx_data_is_valid                   @ 247 NONAME
+	pjsip_tx_data_set_transport              @ 248 NONAME
+	pjsip_ua_destroy                         @ 249 NONAME
+	pjsip_ua_dump                            @ 250 NONAME
+	pjsip_ua_find_dialog                     @ 251 NONAME
+	pjsip_ua_get_endpt                       @ 252 NONAME
+	pjsip_ua_init_module                     @ 253 NONAME
+	pjsip_ua_instance                        @ 254 NONAME
+	pjsip_ua_register_dlg                    @ 255 NONAME
+	pjsip_ua_unregister_dlg                  @ 256 NONAME
+	pjsip_udp_transport_attach               @ 257 NONAME
+	pjsip_udp_transport_get_socket           @ 258 NONAME
+	pjsip_udp_transport_pause                @ 259 NONAME
+	pjsip_udp_transport_restart              @ 260 NONAME
+	pjsip_udp_transport_start                @ 261 NONAME
+	pjsip_unsupported_hdr_create             @ 262 NONAME
+	pjsip_unsupported_hdr_init               @ 263 NONAME
+	pjsip_via_hdr_create                     @ 264 NONAME
+	pjsip_via_hdr_init                       @ 265 NONAME
+	pjsip_warning_hdr_create                 @ 266 NONAME
+	pjsip_warning_hdr_create_from_status     @ 267 NONAME
+	pjsip_www_authenticate_hdr_create        @ 268 NONAME
Index: pjproject/trunk/build.symbian/pjsip_simple.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjsip_simple.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjsip_simple.mmp	(revision 1417)
@@ -1,6 +1,24 @@
+#if defined(EKA2)
+
+TARGET		pjsip_simple.dll
+TARGETTYPE	dll
+
+UID		0x1000008d 0xA0004292
+
+CAPABILITY	None
+LIBRARY		pjsip.lib pjsdp.lib pjlib_util.lib pjlib.lib esock.lib insock.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjsip_simple.def
+
+#else
+
 TARGET 		pjsip_simple.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjsip\src\pjsip-simple
@@ -33,4 +51,2 @@
 SYSTEMINCLUDE	\epoc32\include\libc
 
-CAPABILITY	None
-
Index: pjproject/trunk/build.symbian/pjsip_simpleU.def
===================================================================
--- pjproject/trunk/build.symbian/pjsip_simpleU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/pjsip_simpleU.def	(revision 1417)
@@ -0,0 +1,93 @@
+EXPORTS
+	pjpidf_create                            @ 1 NONAME
+	pjpidf_parse                             @ 2 NONAME
+	pjpidf_pres_add_note                     @ 3 NONAME
+	pjpidf_pres_add_tuple                    @ 4 NONAME
+	pjpidf_pres_construct                    @ 5 NONAME
+	pjpidf_pres_find_tuple                   @ 6 NONAME
+	pjpidf_pres_get_first_note               @ 7 NONAME
+	pjpidf_pres_get_first_tuple              @ 8 NONAME
+	pjpidf_pres_get_next_note                @ 9 NONAME
+	pjpidf_pres_get_next_tuple               @ 10 NONAME
+	pjpidf_pres_remove_tuple                 @ 11 NONAME
+	pjpidf_print                             @ 12 NONAME
+	pjpidf_status_construct                  @ 13 NONAME
+	pjpidf_status_is_basic_open              @ 14 NONAME
+	pjpidf_status_set_basic_open             @ 15 NONAME
+	pjpidf_tuple_add_note                    @ 16 NONAME
+	pjpidf_tuple_construct                   @ 17 NONAME
+	pjpidf_tuple_get_contact                 @ 18 NONAME
+	pjpidf_tuple_get_contact_prio            @ 19 NONAME
+	pjpidf_tuple_get_first_note              @ 20 NONAME
+	pjpidf_tuple_get_id                      @ 21 NONAME
+	pjpidf_tuple_get_next_note               @ 22 NONAME
+	pjpidf_tuple_get_status                  @ 23 NONAME
+	pjpidf_tuple_get_timestamp               @ 24 NONAME
+	pjpidf_tuple_set_contact                 @ 25 NONAME
+	pjpidf_tuple_set_contact_prio            @ 26 NONAME
+	pjpidf_tuple_set_id                      @ 27 NONAME
+	pjpidf_tuple_set_timestamp               @ 28 NONAME
+	pjpidf_tuple_set_timestamp_np            @ 29 NONAME
+	pjsip_allow_events_hdr_create            @ 30 NONAME
+	pjsip_event_hdr_create                   @ 31 NONAME
+	pjsip_evsub_accept                       @ 32 NONAME
+	pjsip_evsub_create_uac                   @ 33 NONAME
+	pjsip_evsub_create_uas                   @ 34 NONAME
+	pjsip_evsub_current_notify               @ 35 NONAME
+	pjsip_evsub_get_allow_events_hdr         @ 36 NONAME
+	pjsip_evsub_get_mod_data                 @ 37 NONAME
+	pjsip_evsub_get_state                    @ 38 NONAME
+	pjsip_evsub_get_state_name               @ 39 NONAME
+	pjsip_evsub_init_module                  @ 40 NONAME
+	pjsip_evsub_init_parser                  @ 41 NONAME
+	pjsip_evsub_initiate                     @ 42 NONAME
+	pjsip_evsub_instance                     @ 43 NONAME
+	pjsip_evsub_notify                       @ 44 NONAME
+	pjsip_evsub_register_pkg                 @ 45 NONAME
+	pjsip_evsub_send_request                 @ 46 NONAME
+	pjsip_evsub_set_mod_data                 @ 47 NONAME
+	pjsip_evsub_terminate                    @ 48 NONAME
+	pjsip_get_notify_method                  @ 49 NONAME
+	pjsip_get_subscribe_method               @ 50 NONAME
+	pjsip_iscomposing_create_body            @ 51 NONAME
+	pjsip_iscomposing_create_xml             @ 52 NONAME
+	pjsip_iscomposing_parse                  @ 53 NONAME
+	pjsip_notify_method                      @ 54 NONAME
+	pjsip_pres_accept                        @ 55 NONAME
+	pjsip_pres_create_pidf                   @ 56 NONAME
+	pjsip_pres_create_uac                    @ 57 NONAME
+	pjsip_pres_create_uas                    @ 58 NONAME
+	pjsip_pres_create_xpidf                  @ 59 NONAME
+	pjsip_pres_current_notify                @ 60 NONAME
+	pjsip_pres_get_status                    @ 61 NONAME
+	pjsip_pres_init_module                   @ 62 NONAME
+	pjsip_pres_initiate                      @ 63 NONAME
+	pjsip_pres_instance                      @ 64 NONAME
+	pjsip_pres_notify                        @ 65 NONAME
+	pjsip_pres_parse_pidf                    @ 66 NONAME
+	pjsip_pres_parse_xpidf                   @ 67 NONAME
+	pjsip_pres_send_request                  @ 68 NONAME
+	pjsip_pres_set_status                    @ 69 NONAME
+	pjsip_pres_terminate                     @ 70 NONAME
+	pjsip_publishc_create                    @ 71 NONAME
+	pjsip_publishc_destroy                   @ 72 NONAME
+	pjsip_publishc_get_pool                  @ 73 NONAME
+	pjsip_publishc_init                      @ 74 NONAME
+	pjsip_publishc_init_module               @ 75 NONAME
+	pjsip_publishc_publish                   @ 76 NONAME
+	pjsip_publishc_send                      @ 77 NONAME
+	pjsip_publishc_set_credentials           @ 78 NONAME
+	pjsip_publishc_set_route_set             @ 79 NONAME
+	pjsip_publishc_unpublish                 @ 80 NONAME
+	pjsip_publishc_update_expires            @ 81 NONAME
+	pjsip_sub_state_hdr_create               @ 82 NONAME
+	pjsip_subscribe_method                   @ 83 NONAME
+	pjsip_tsx_get_evsub                      @ 84 NONAME
+	pjsipsimple_strerror                     @ 85 NONAME
+	pjxpidf_create                           @ 86 NONAME
+	pjxpidf_get_status                       @ 87 NONAME
+	pjxpidf_get_uri                          @ 88 NONAME
+	pjxpidf_parse                            @ 89 NONAME
+	pjxpidf_print                            @ 90 NONAME
+	pjxpidf_set_status                       @ 91 NONAME
+	pjxpidf_set_uri                          @ 92 NONAME
Index: pjproject/trunk/build.symbian/pjsip_ua.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjsip_ua.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjsip_ua.mmp	(revision 1417)
@@ -1,6 +1,24 @@
+#if defined(EKA2)
+
+TARGET		pjsip_ua.dll
+TARGETTYPE	dll
+
+UID		0x1000008d 0xA0004291
+
+CAPABILITY	None
+LIBRARY		pjsip_simple.lib pjsip.lib pjsdp.lib pjlib_util.lib pjlib.lib esock.lib insock.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjsip_ua.def
+
+#else
+
 TARGET 		pjsip_ua.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjsip\src\pjsip-ua
@@ -27,4 +45,3 @@
 SYSTEMINCLUDE	\epoc32\include\libc
 
-CAPABILITY	None
 
Index: pjproject/trunk/build.symbian/pjsip_uaU.def
===================================================================
--- pjproject/trunk/build.symbian/pjsip_uaU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/pjsip_uaU.def	(revision 1417)
@@ -0,0 +1,46 @@
+EXPORTS
+	pjsip_create_sdp_body                    @ 1 NONAME
+	pjsip_dlg_get_inv_session                @ 2 NONAME
+	pjsip_get_refer_method                   @ 3 NONAME
+	pjsip_inv_answer                         @ 4 NONAME
+	pjsip_inv_create_uac                     @ 5 NONAME
+	pjsip_inv_create_uas                     @ 6 NONAME
+	pjsip_inv_end_session                    @ 7 NONAME
+	pjsip_inv_initial_answer                 @ 8 NONAME
+	pjsip_inv_invite                         @ 9 NONAME
+	pjsip_inv_reinvite                       @ 10 NONAME
+	pjsip_inv_send_msg                       @ 11 NONAME
+	pjsip_inv_set_sdp_answer                 @ 12 NONAME
+	pjsip_inv_state_name                     @ 13 NONAME
+	pjsip_inv_terminate                      @ 14 NONAME
+	pjsip_inv_update                         @ 15 NONAME
+	pjsip_inv_usage_init                     @ 16 NONAME
+	pjsip_inv_usage_instance                 @ 17 NONAME
+	pjsip_inv_verify_request                 @ 18 NONAME
+	pjsip_refer_method                       @ 19 NONAME
+	pjsip_regc_add_headers                   @ 20 NONAME
+	pjsip_regc_create                        @ 21 NONAME
+	pjsip_regc_destroy                       @ 22 NONAME
+	pjsip_regc_get_info                      @ 23 NONAME
+	pjsip_regc_get_pool                      @ 24 NONAME
+	pjsip_regc_init                          @ 25 NONAME
+	pjsip_regc_register                      @ 26 NONAME
+	pjsip_regc_send                          @ 27 NONAME
+	pjsip_regc_set_credentials               @ 28 NONAME
+	pjsip_regc_set_route_set                 @ 29 NONAME
+	pjsip_regc_set_transport                 @ 30 NONAME
+	pjsip_regc_unregister                    @ 31 NONAME
+	pjsip_regc_unregister_all                @ 32 NONAME
+	pjsip_regc_update_contact                @ 33 NONAME
+	pjsip_regc_update_expires                @ 34 NONAME
+	pjsip_replaces_hdr_create                @ 35 NONAME
+	pjsip_replaces_init_module               @ 36 NONAME
+	pjsip_replaces_verify_request            @ 37 NONAME
+	pjsip_xfer_accept                        @ 38 NONAME
+	pjsip_xfer_create_uac                    @ 39 NONAME
+	pjsip_xfer_create_uas                    @ 40 NONAME
+	pjsip_xfer_current_notify                @ 41 NONAME
+	pjsip_xfer_init_module                   @ 42 NONAME
+	pjsip_xfer_initiate                      @ 43 NONAME
+	pjsip_xfer_notify                        @ 44 NONAME
+	pjsip_xfer_send_request                  @ 45 NONAME
Index: pjproject/trunk/build.symbian/pjsua_lib.mmp
===================================================================
--- pjproject/trunk/build.symbian/pjsua_lib.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/pjsua_lib.mmp	(revision 1417)
@@ -1,6 +1,24 @@
+#if defined(EKA2)
+
+TARGET		pjsua_lib.dll
+TARGETTYPE	dll
+
+UID		0x1000008d 0xA0004290
+
+CAPABILITY	None
+LIBRARY		pjsip_ua.lib pjsip_simple.lib pjsip.lib pjmedia.lib null_audio.lib pjsdp.lib pjnath.lib pjlib_util.lib pjlib.lib esock.lib insock.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\pjsua_lib.def
+
+#else
+
 TARGET 		pjsua_lib.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjsip\src\pjsua-lib
@@ -29,4 +47,3 @@
 SYSTEMINCLUDE	\epoc32\include\libc
 
-CAPABILITY	None
 
